cURL
curl --request GET \
--url https://api.unifygtm.com/sequences/v1/sequences/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.unifygtm.com/sequences/v1/sequences/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.unifygtm.com/sequences/v1/sequences/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>"
},
"name": "<string>",
"is_paused": true,
"send_schedule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"is_default": true,
"name": "<string>",
"rules": {
"time_zone": "<string>",
"send_days": {
"1": [
{
"start_time": {
"hour": 11,
"minute": 29
},
"end_time": {
"hour": 11,
"minute": 29
}
}
],
"2": [
{
"start_time": {
"hour": 11,
"minute": 29
},
"end_time": {
"hour": 11,
"minute": 29
}
}
],
"3": [
{
"start_time": {
"hour": 11,
"minute": 29
},
"end_time": {
"hour": 11,
"minute": 29
}
}
],
"4": [
{
"start_time": {
"hour": 11,
"minute": 29
},
"end_time": {
"hour": 11,
"minute": 29
}
}
],
"5": [
{
"start_time": {
"hour": 11,
"minute": 29
},
"end_time": {
"hour": 11,
"minute": 29
}
}
],
"6": [
{
"start_time": {
"hour": 11,
"minute": 29
},
"end_time": {
"hour": 11,
"minute": 29
}
}
],
"7": [
{
"start_time": {
"hour": 11,
"minute": 29
},
"end_time": {
"hour": 11,
"minute": 29
}
}
]
},
"skip_us_holidays": true,
"excluded_dates": [
{
"date": "2023-12-25",
"should_recur": true
}
]
}
},
"sequence_ruleset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"is_default": true,
"automatic_enrollment_task_assignment_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"manual_enrollment_task_assignment_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"opt_out_message": "<string>",
"allow_same_sequence_reenrollment": true,
"block_reenrollment_value": 123
}
}{
"status": "bad_request",
"errors": [
{
"code": "<string>",
"path": [
"<string>"
],
"object_api_name": "<string>",
"attribute_api_name": "<string>"
}
],
"message": "<string>"
}{
"status": "unauthorized",
"message": "<string>"
}{
"status": "not_found",
"message": "<string>"
}{
"status": "rate_limited",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Sequences
Get sequence
Retrieve a single sequence by its ID.
GET
/
sequences
/
{id}
cURL
Authorizations
Path Parameters
String UUID value.
Response
Response returned when retrieving a sequence.
Response returned when retrieving a sequence.
String UUID value.
String value representing an RFC 3339 datetime.
String value representing an RFC 3339 datetime.
Owner details embedded in sequence responses.
Show child attributes
Show child attributes
Email send schedule embedded in sequence responses.
Show child attributes
Show child attributes
Sequence ruleset embedded in sequence responses.
Show child attributes
Show child attributes
⌘I